cURL
curl --request POST \ --url https://api.nitrosend.com/v1/my/contacts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "first_name": "<string>", "last_name": "<string>", "email": "jsmith@example.com", "phone": "<string>", "source": "<string>", "country_code": "<string>", "list_ids": [ 123 ], "data": {}, "channels_attributes": [ { "kind": "email", "value": "<string>", "subscribed": true } ] } '
{ "id": 123, "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "first_name": "<string>", "last_name": "<string>", "source": "<string>", "country_code": "<string>", "data": {}, "subscribed_phone": true, "subscribed_email": true, "verification_status": "verified", "enrichment_status": "enriched", "list_ids": [ 123 ], "last_interacted_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "channels": [ { "id": 123, "contact_id": 123, "kind": "email", "value": "<string>", "subscribed": true, "verified": true, "opt_in_at": "2023-11-07T05:31:56Z", "opt_out_at": "2023-11-07T05:31:56Z", "sent_count": 123, "fail_count": 123, "data": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.
nskey_live_...
Creates/updates email channel with opt_in
E.164 format. Creates/updates phone channel with opt_in
Custom key-value data
Show child attributes
Contact created
verified
suppressed
unverified
enriched
not_enriched